### Function

# Camel uudecode_step

#### Declaration [src]

    gsize
    camel_uudecode_step (
      guchar* in,
      gsize inlen,
      guchar* out,
      gint* state,
      guint32* save
    )

#### Description [src]

Uudecodes a chunk of data. Performs a ‘decode step’ on a chunk of uuencoded data. Assumes the “begin mode filename” line has been stripped off.

#### Parameters

`in`

  Type: An array of `guchar`

  Input stream.

  The length of the array is specified in the `inlen` argument.
  The data is owned by the caller of the function.

`inlen`

  Type: `gsize`

  Max length of data to decode.

`out`

  Type: An array of `guchar`

  Output stream.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`state`

  Type: `gint*`

  Holds the number of bits that are stored in `save`.

  The argument will be modified by the function.

`save`

  Type: An array of `guint32`

  Leftover bits that have not yet been decoded.

  The argument will be modified by the function.
  The length of the array is specified in the `state` argument.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gsize`

The number of bytes decoded.